%global momorel 3

Name: phpldapadmin
Summary: Web-based tool for managing LDAP servers
Version: 1.2.2
Release: %{momorel}m%{?dist}
Group: Applications/Internet
License: GPLv2+
URL: http://phpldapadmin.sourceforge.net/
Source: http://dl.sourceforge.net/sourceforge/phpldapadmin/phpldapadmin-%{version}.tgz
NoSource: 0
Patch0: phpldapadmin-1.2.1.1-config.patch
## http://phpldapadmin.git.sourceforge.net/git/gitweb.cgi?p=phpldapadmin/phpldapadmin;a=patch;h=7dc8d57d6952fe681cb9e8818df7f103220457bd
Patch1: phpldapadmin-1.2.2-CVE-2012-0834.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Requires: httpd, php >= 5.4.1, php-ldap

%description
PhpLDAPadmin is a web-based LDAP client.
It provides easy, anywhere-accessible, multi-language administration
for your LDAP server. Its hierarchical tree-viewer and advanced search
functionality make it intuitive to browse and administer your LDAP directory.

Since it is a web application, this LDAP browser works on many platforms,
making your LDAP server easily manageable from any location.

PhpLDAPadmin is the perfect LDAP browser for the LDAP professional
and novice alike. Its user base consists mostly of LDAP administration
professionals.

Edit %{_sysconfdir}/%{name}/config.php to change default (localhost) LDAP server
location and other things. Edit %{_sysconfdir}/httpd/conf.d/%{name}.conf to allow
access by remote web-clients.

%prep
%setup -q -n %{name}-%{version}
cp config/config.php.example config/config.php
%patch0 -p1
%patch1 -p1

%build
find . \( -name "*.orig" -o -name "*~" -o -name .cvsignore \) -print0 | \
								xargs -0 rm -f
find . -type f -print0 | xargs -0 chmod -x

%install
rm -rf $RPM_BUILD_ROOT

install -d -m755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a * $RPM_BUILD_ROOT%{_datadir}/%{name}

pushd $RPM_BUILD_ROOT%{_datadir}/%{name}
rm -rf doc/ INSTALL LICENSE
rm -rf tools/
find locale -name "*.po" -print0 | xargs -0 rm -f
popd

install -d -m755 $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

mv $RPM_BUILD_ROOT%{_datadir}/%{name}/config/* \
	$RPM_BUILD_ROOT%{_sysconfdir}/%{name}
rmdir $RPM_BUILD_ROOT%{_datadir}/%{name}/config
UPS=$(echo %{_datadir}/%{name} | sed -e 's,^/,,' -e 's,[^/]*,..,g')
ln -s $UPS%{_sysconfdir}/%{name} \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/config

cat <<EOF >%{name}.conf
#
#  %{summary}
#

Alias /%{name} %{_datadir}/%{name}/htdocs
Alias /ldapadmin %{_datadir}/%{name}/htdocs

<Directory %{_datadir}/%{name}/htdocs>
  Order Deny,Allow
  Deny from all
  Allow from 127.0.0.1
</Directory>

EOF

install -d $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -m644 %{name}.conf $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}.conf.dist

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 -eq 1 ]; then
    set @@@ `dd bs=128 count=1 </dev/urandom 2>/dev/null | md5sum`
    sed -i "/session\['blowfish'\] = null;/ {
	s/^[^\$]*\\\$/\$/
	s/null;/'$2';  # Autogenerated for `uname -n`/
    }"  %{_sysconfdir}/%{name}/config.php
fi

%files
%defattr(-,root,root,-)
%config %dir %{_sysconfdir}/%{name}
%attr(640,root,apache) %config(noreplace) %{_sysconfdir}/%{name}/*.php
%{_sysconfdir}/%{name}/*.example
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*.conf.dist
%{_datadir}/%{name}
%doc INSTALL LICENSE

%changelog
* Tue May  1 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.2-3m)
- rebuild against php-5.4.1

* Sat Feb 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.2-2m)
- [SECURITY] CVE-2012-0834

* Mon Oct 31 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.2-1m)
- [SECURITY] CVE-2011-4074 CVE-2011-4075
- update to 1.2.2

* Sat Jul 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.1.1-1m)
- update to 1.2.1.1

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.2.0.5-4m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.2.0.5-3m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.0.5-2m)
- full rebuild for mo7 release

* Thu Jul  1 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.0.5-1m)
- update to 1.2.0.5

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.0.4-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Nov  1 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.0.4-1m)
- [SECURITY] CVE-2009-4427
- update to 1.2.0.4

* Wed Jun  3 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1.0.7-1m)
- update to 1.1.0.7

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1.0.5-4m)
- rebuild against rpm-4.6

* Sun Jan 11 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.1.0.5-3m)
- update Patch0 for fuzz=0
- License: GPLv2+

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.0.5-2m)
- rebuild against gcc43

* Sat Mar 29 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1.0.5-1m)
- update to 1.1.0.5

* Mon Sep 17 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.2-1m)
- update to 1.0.2

* Tue Aug  7 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.1-1m)
- import from Fedora

* Tue Sep 19 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 1.0.1-1
- upgrade to 1.0.1
- drop namingcontexts patch, no more needed for php >= 5.0.6

* Fri Sep  1 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.8.3-2
- rebuild for FC6

* Mon May 15 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.8.3-1
- update to 0.9.8.3

* Tue Mar 14 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.8.2-1
- update to 0.9.8.2

* Thu Mar  2 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.8.1-1
- upgrade to 0.9.8.1
- remove unneeded tools dir *.po files in locale dir

* Fri Nov 18 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.7.2-2
- update upstream's tarball (was changed without version increment)
- don't treat VERSION as doc file (#173513)

* Tue Nov 15 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.7.2-1
- update to 0.9.7.2

* Tue Nov  1 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.7.1-1
- upgrade to 0.9.7.1
- adapt patches and spec to new upstream layout.
- don't strip debug anymore -- all seems to work fast enough now.

* Tue Sep 27 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.7-2
- patch cleanups.
- accepted for Fedora Extras devel
  (review by Aurelien Bompard <gauret@free.fr>)

* Mon Sep 26 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.7-1
- upgrade to final 0.9.7
- strip debug stuff completely. It gives essential speedup of work.
- initial install allow connects from localhost only (security reasons).

* Tue Sep 20 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.7-0.3.rc3
- upgrade to 0.9.7-rc3
- add post script to generate blowfish secret on initial installations.

* Thu Sep 15 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.7-0.2.rc2
- upgrade to 0.9.7-rc2, cvs snapshot no more needed.

* Tue Sep 13 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.9.7-0.1.20050912
- initial release. CVS snapshot is one week later than 0.9.7-rc1 release.
- add namingcontexts patch and config patch

